package constant

// LoginType 自定义登录类型
type LoginType string

// 登录类型
const (
	LoginTypeWeChatMiniApp LoginType = "wechat_mini_app" // 微信小程序登录
	LoginTypeSms           LoginType = "sms"             // 短信验证码登录
	LoginTypePassword      LoginType = "password"        // 密码登录
)

// String 转换为字符串
func (t LoginType) String() string {
	return string(t)
}
